#include <iostream>
#include<list>
#include<iterator>

using namespace std;


int main()
{

    int ucenici[100000];
    int n;
    do{
        ///cout << "unesite velicinu niza";   ukupan broj ucensnika
        cin >> n;
    }while(n > 100000 || n <= 0);
    int m;
    do{
        cin >> m;
    }while(m > 100000 || m <= 0);
    int parovi[1][m-1];
    int i;
    int br = 0;
    for(i = 0;i < n;i++){
        ///cout << "unesite niz[" << i+1 << "]" << endl;   druzeljubivost
        cin >> ucenici[i+1];
        br++;
    }
    i = 0;
    while((i/2)!=m){

        for(int b=0;b<1;b++){
            for(int j=0;j<(m-1);j++){
                cin >> parovi[b+1][j+1];
                if(parovi[b+1][j+1] <= 0 || parovi[b+1][j+1] > br){
                    ///broj koji je unet se nece racunati i svaki sledeci ce biti pomeren za jendo mesto u redu ili koloni
                    cin >> parovi[b+1][j+1];
                }
            }
        }

        i++;
    }
    int flag = 0;
    for(i=0;i<n;i++){
        if(ucenici[i+1]==ucenici[i+2]){
            flag++;
        }
    }
    int srecaCelogTakmicenja = 0;
    if((flag+1) == n){
        for(i=0;i<n;i++){
            srecaCelogTakmicenja += ucenici[i]*m;
        }
    }
    else{
        for(i=0;i<n;i++){
            srecaCelogTakmicenja += ucenici[i]*(m*(-1));
        }
    }
    cout << srecaCelogTakmicenja << endl;

    return 0;
}